﻿Public Class Paint
    Private b As Brush
    Private c As Canvas
    Private g As Graphics
    Private ps As Point

    Public Sub Down(ByVal ps As Point)
        Me.ps = ps
    End Sub

    Public Sub Move(ByVal p As Point)
        If Not ps.IsEmpty AndAlso Not p.IsEmpty Then
            c.Draw(g, b, ps, p)
            ps = p
        End If
    End Sub

    Public Sub Up(ByVal p As Point)
        ps = Point.Empty
    End Sub

    Public Sub New(ByVal g As Graphics)
        b = New Brush()
        c = New Canvas()
        Me.g = g
    End Sub

    Protected Overrides Sub Finalize()
        g.Dispose()
        MyBase.Finalize()
    End Sub
End Class
